import { defineStore } from 'pinia'

export const useSharedState = defineStore('sharedState', {
  state: () => ({
    layoutClickCount: 0,
    payCodeList: [],
  }),
  actions: {
    increment() {
      this.layoutClickCount++
    },
    setPayCodeList(arr) {
      this.payCodeList = arr || []
    }
  }
})
